%define oname kmix

Summary:	Plasma 5 Digital Mixer
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/applications/multimedia/kmix/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Patch0:		kmix-4.9.2-nodisplay.patch
Patch1:		kmix-15.04.1-popup-margins.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
Requires:	plasma5-dataengine-mixer
Conflicts:	kmix

%description
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

%files
%{_kde5_applicationsdir}/kmix.desktop
%{_kde5_autostart}/kmix_autostart.desktop
%{_kde5_autostart}/restore_kmix_volumes.desktop
%{_kde5_bindir}/kmix
%{_kde5_bindir}/kmixctrl
%{_kde5_bindir}/kmixremote
%{_kde5_datadir}/kmix
%{_kde5_iconsdir}/*/*/*/*
%{_kde5_libdir}/libkdeinit5_kmix.so
%{_kde5_libdir}/libkdeinit5_kmixctrl.so
%{_kde5_services}/kmixctrl_restore.desktop
%{_kde5_services}/kded/kmixd.desktop
%{_kde5_xmlguidir}/kmix/kmixui.rc
%{_datadir}/dbus-1/interfaces/org.kde.kmix.control.xml
%{_datadir}/dbus-1/interfaces/org.kde.kmix.mixer.xml
%{_datadir}/dbus-1/interfaces/org.kde.kmix.mixset.xml
%{_qt5_plugindir}/libkded_kmixd.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-mixer
Summary:	Plasma 5 mixer dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-mixer
Plasma 5 mixer dataengine.

%files -n plasma5-dataengine-mixer
%{_kde5_datadir}/plasma/services/mixer.operations
%{_kde5_services}/plasma-dataengine-mixer.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_mixer.so

#------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5 -DKMIX_KF5_BUILD:BOOL=ON
%make

%install
%makeinstall_std -C build


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.08.2-1
- (dbe9197) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.04.3-1
- (30928b5) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.04.2-1
- (7e4b8bb) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.12.3-1
- (f5615ef) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.12.2-1
- (666c4ab) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.12.1-2
- (56898ce) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.12.1-1
- (3d1bef5) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.08.2-2
- (645bf11) MassBuild#1212: Increase release tag

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.08.2-1
- (7a71076) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.04.3-2
- (4357a99) MassBuild#1169: Increase release tag

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.04.3-1
- (2e97f86) New version 16.04.3

* Mon Jun 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.04.2-1
- (aaab158) New version 16.04.2

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.12.3-1
- (c96b7e7) New version 15.12.3

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.12.2-1
- (776c15d) New version 15.12.3
- (Andrey Bondrov: 9353a56) New version 15.12.2

* Wed Jan 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.12.1-1
- (f589e8e) New version 15.12.1

* Sat Jan 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.12.0-1
- (8c57b14) Add plasma5-dataengine-mixer subpackage
- (Andrey Bondrov: 1c3c160) Build requires kf5plasma-devel
- (Andrey Bondrov: 0b67835) New version 15.12.0

* Mon Nov 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.08.3-1
- (cacd7d9) New version 15.08.3

* Thu Oct 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.08.2-1
- (f989b14) New version 15.08.2

* Wed Sep 16 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.08.1-1
- (10455b0) Update files (add xmlgui file)
- (Andrey Bondrov: aa61e71) New version 15.08.1

* Thu Aug 20 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.08.0-1
- (4cc0707) New version 15.08.0

* Thu Jul 02 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.04.3-1
- (c10f345) New version 15.04.3

* Thu Jun 04 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.04.2-1
- (19c2c19) New version 15.04.2
- (19c2c19) Drop translation-domain patch (merged upstream)

* Fri May 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.04.1-3
- (bf8db12) Adjust popup applet left and right margins once more

* Thu May 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.04.1-2
- (a70eeca) Adjust popup applet left and right margins

* Wed May 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:15.04.1-1
- (29693e6) Add translation-domain patch because translation domain is not defined anywhere
- (Andrey Bondrov: ddc1ac9) New version 15.04.1


